From b0c021885e00327d0cbe5aed390cde934ebf179b Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Mon, 31 Oct 2016 15:06:36 -0700
Subject: [PATCH 1006/1008] Fixup libstdc++ header search paths for older
 versions of Mac OS X

The subpaths were removed in Lion.  Leopard and Snow Leopard had darwin8
symlinks for compatibility.

https://llvm.org/bugs/show_bug.cgi?id=30858

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 lib/Frontend/InitHeaderSearch.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git llvm_release_80/tools/clang/lib/Frontend/InitHeaderSearch.cpp macports_release_80/tools/clang/lib/Frontend/InitHeaderSearch.cpp
index 67842b5dca..42d71c1e30 100644
--- llvm_release_80/tools/clang/lib/Frontend/InitHeaderSearch.cpp
+++ macports_release_80/tools/clang/lib/Frontend/InitHeaderSearch.cpp
@@ -376,7 +376,7 @@ void InitHeaderSearch::AddDefaultCPlusPlusIncludePaths(
                                                 "powerpc-apple-darwin10", "",
                                                 "ppc64", triple);
       IsBaseFound |= AddGnuCPlusPlusIncludePaths("/usr/include/c++/4.0.0",
-                                                 "powerpc-apple-darwin10", "",
+                                                 "powerpc-apple-darwin8", "",
                                                  "ppc64", triple);
       break;
 
@@ -386,7 +386,7 @@ void InitHeaderSearch::AddDefaultCPlusPlusIncludePaths(
                                                 "i686-apple-darwin10", "",
                                                 "x86_64", triple);
       IsBaseFound |= AddGnuCPlusPlusIncludePaths(
-          "/usr/include/c++/4.0.0", "i686-apple-darwin8", "", "", triple);
+          "/usr/include/c++/4.0.0", "i686-apple-darwin8", "", "x86_64", triple);
       break;
 
     case llvm::Triple::arm:
-- 
2.20.1 (Apple Git-116)

